Developer API - DataGalaxy (2.38.7)
The DataGalaxy API gives you access to CRUD actions on your metamodel, users and licenses.
Our API is organized around REST. It accepts and returns JSON-encoded data, and uses standard HTTP response codes, verbs and authentication with access tokens.
To get the full picture of DataGalaxy, please feel free to consult our online documentation.
Have a look at our step-by-step guide for a quick start on how to use our API.
| Status Code | Description | Notes |
|---|---|---|
| 200 | OK | The request was successful |
| 400 | Bad Request | Incoming request contains parameters that might not be valid |
| 401 | Unauthorized | The supplied credentials, if any, are not sufficient to access the resource |
| 404 | Not Found | The requested resource is not found |
| 429 | Too Many Requests | Too many requests have been (Rate limiting) |
| 500 | Server Error | The server could not return the representation due to an internal server error |
| 501 | Not Implemented | The requested operation is not supported (e.g. supports GET but not POST etc.) |
The DataGalaxy API has 2 kinds of limitations: rate limiting and throttling.
Pro tip: You can track your rate limiting status with the response header X-RateLimit-Remaining. It will display how many requests you can send until the next reset.
| Method | Rate | Note |
|---|---|---|
| Rate limiting | 28800 requests / hour | When exceeded, your IP will be blocked for 15 minutes. |
| Throttling | 8 requests / second | When exceeded, each request will be delayed by 500ms. |
| Payload size | 100 MB | When exceeded, request will be rejected. |
All routes returning lists share the same pagination format. These routes take two optional parameters as query strings: limit and page.
| QueryString | Definition |
|---|---|
| limit | Integer ranging from 1 to 5000. It sets the maximum amount of objects per page. Default value is 20. |
| page | Integer starting at 1. It determines the page returned by the request. Default value is 1. |
The response payload contains 5 properties:
| Property | Definition |
|---|---|
| pages | Total number of pages. |
| total | Number of objects returned. |
| total_sum | Sum of all existing objects. |
| next_page | URL of the next page. Value will be null if there is none. |
| results | List of objects. |
The DataGalaxy API uses Bearer authentication to authenticate requests. Every request must contain an Authorization header with either a PAT (Personal Access Token) or an integration token.
Here is a quick example on how to use a Bearer authentication using CURL:
curl -X GET "https://api.datagalaxy.com/v2/workspaces" -H "Authorization: Bearer token"The first steps of our quick start guide will give you instructions to obtain an integration token.
/credentials endpoint, you can also use it as a bearer token.
However, it is recommended to no longer generate an access token manually but to use your Personal Access Token or integration token directly.
| Name | Description |
|---|---|
pubapi | URL of the DataGalaxy API. For instance: https://demo.api.datagalaxy.com/v2. 🗑 Deprecated: will be removed in the future. |
cid | Client UUID |
uid | User UUID |
given_name | User given name |
family_name | User family name |
email | User email. |
sub | Subject associated with the token (user email) |
x | ?? |
iat | Timestamp that indicates the time at which the token was issued |
exp | Timestamp that indicates the time at which the token will be expired |
| Name | Description |
|---|---|
api | URL of the internal API without the /api path prefix.For instance: https://demo.datagalaxy.com/. 🗑 Deprecated will be removed in the future. |
cid | Client UUID |
uid | User UUID |
data | ?? |
x | ?? |
iat | Timestamp that indicates the time at which the token was issued |
exp | Timestamp that indicates the time at which the token will be expired |
| Name | Description |
|---|---|
api | URL of the internal API without the /api path prefix.For instance: https://demo.datagalaxy.com/. 🗑 Deprecated will be removed in the future. |
pubapi | URL of the DataGalaxy API. For instance: https://demo.api.datagalaxy.com/v2. 🗑 Deprecated will be removed in the future. |
sid | Session UUID |
cid | Client UUID |
cname | Client name |
uid | User UUID |
email | User email |
iat | Timestamp that indicates the time at which the token was issued |
exp | Timestamp that indicates the time at which the token will be expired |
The DataGalaxy Developer API is updated frequently with new features, improvements and fixes.
All these changes will be documented in our .
We provide two API documentation layouts:
- Default layout
This layout displays information in a modern way and contains more information about requests parameters - Swagger layout
This is our legacy layout. It's main perk is the "Try it" feature which lets you send requests directly from the documentation.